/** \addtogroup config
 * @{
 */
/** \file appconfig.h Configuration module include file.
 * \author Lionel ULMER
 * \author Darryl Luff
 */
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998-2002  Lionel ULMER, Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __APPCONFIG_H__
#define __APPCONFIG_H__

/** Initialise the configuration.	*/
void cfg_init(void);

/** \brief Get the configuration file directory.	*/
char *cfg_get_config_dir(void);

/** \brief Get the current workiung directory.	*/
char *cfg_get_current_dir(void);

/** Get the default workspace name.
 * \return The default worlspace filename.	*/
char *cfg_get_default_wsname(void);

/** Parse the command line.	*/
int cfg_parse_cmdline(int argc, char *argv[]);

/** \brief Set the current working directory.	*/
void cfg_set_current_dir(const char *dir);

/** \brief Show a usage string.	*/
void cfg_show_usage(void);
/*@}*/
#endif
