/** \addtogroup lua
 * @{
 */
/** \file luaif.h	Interface to LUA engine.
 * \author Darryl Luff	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 2002  Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * --------------------------------------------------------------------------
 *
 * Handles dragging and dropping of text between the table list and the query window.
 *
 */

#ifndef __LUAIF_H
#define __LUAIF_H

#include "../config.h"

/** test if LUA is supported.	*/
int lua_supported(void);

#ifdef USE_LUA
/** Initialise the LUA module.	*/
void luaif_init(void);

/** Run a script from a file.	*/
void luaif_runfile(char *fn);

/** Run a script from a string.	*/
void luaif_runstring(char *s);

#endif

/*@}*/
#endif
