/** \file status.h	Interface to status bar module.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup gui	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 2002 Darryl Luff
 * Copyright (C) 1998  Lionel ULMER
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * ==========================================================================
 *
 * Status bar interface.
 */

#ifndef __STATUS_H
#define __STATUS_H

 #include <gtk/gtk.h>

/* Create and return a new status bar	*/
GtkWidget *status_bar_new(void);

/* Pop the last message from the status bar	*/
void status_pop(void);

/* Push another message onto the status bar	*/
void status_push(gchar *msg);

/* Reset the progress bar to zero	*/
void progress_reset(void);

/* Update the progress bar	*/
void progress_update(gfloat percentage);

#endif
