/** \file tables.h	Interface to table list module.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup gui	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998  Lionel ULMER
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * ==========================================================================
 *
 * Functions to handle the table pane.
 */

#ifndef __TABLES_H__
#define __TABLES_H__

/** The table notebook.	*/
extern GtkWidget *tableNotebook;

/* Displays the named table	*/
int display_table_named(char *tablename);

/* Returns a pointer to the currently active table	*/
GtkCList *get_current_table(void);

/* Returns the name of the currently active table	*/
char *get_current_table_name(void);

/* Returns a ", " separated list of the currently selected table fields	*/
char *get_selected_table_fields(void);

/* Returns the 'n'th tabel (zero-based)	*/
GtkCList *get_table_no(int n);

/* Create the pane	*/
GtkWidget *init_tables_pane(void);

void on_delete_query_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_insert_query_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_select_query_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_update_query_activate(GtkMenuItem * menuitem, gpointer user_data);

/* Remove all table pages	*/
void tables_connection_closed(void);

/* Create the table pages for the new connection	*/
void tables_new_connection(void);

#endif
